Package org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetMarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetMarshaller

- All Implemented Interfaces:
    `Marshaller`

      public class FastinfoSetMarshaller
      extends Object
      implements Marshaller

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Marshaller

      `Marshaller.Listener`

  - ### Field Summary

    - ### Fields inherited from interface javax.xml.bind.Marshaller

      `JAXB_ENCODING, JAXB_FORMATTED_OUTPUT, JAXB_FRAGMENT, JAXB_NO_NAMESPACE_SCHEMA_LOCATION, JAXB_SCHEMA_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastinfoSetMarshaller​(JAXBContext context)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A extends XmlAdapter> A` | `getAdapter​(Class<A> aClass)` |
    `AttachmentMarshaller` | `getAttachmentMarshaller()` |
    `ValidationEventHandler` | `getEventHandler()` |
    `protected static XMLStreamWriter` | `getFastinfoSetXMLStreamWriter​(OutputStream entityStream)` |
    `Marshaller.Listener` | `getListener()` |
    `Node` | `getNode​(Object o)` |
    `Object` | `getProperty​(String s)` |
    `Schema` | `getSchema()` |
    `void` | `marshal​(Object o, File file)` |
    `void` | `marshal​(Object o, OutputStream outputStream)` |
    `void` | `marshal​(Object o, Writer writer)` |
    `void` | `marshal​(Object o, XMLEventWriter xmlEventWriter)` |
    `void` | `marshal​(Object o, XMLStreamWriter xmlStreamWriter)` |
    `void` | `marshal​(Object o, Result result)` |
    `void` | `marshal​(Object o, Node node)` |
    `void` | `marshal​(Object o, ContentHandler contentHandler)` |
    `<A extends XmlAdapter> void` | `setAdapter​(Class<A> aClass, A a)` |
    `void` | `setAdapter​(XmlAdapter xmlAdapter)` |
    `void` | `setAttachmentMarshaller​(AttachmentMarshaller attachmentMarshaller)` |
    `void` | `setEventHandler​(ValidationEventHandler validationEventHandler)` |
    `void` | `setListener​(Marshaller.Listener listener)` |
    `void` | `setProperty​(String s, Object o)` |
    `void` | `setSchema​(Schema schema)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastinfoSetMarshaller

          public FastinfoSetMarshaller​(JAXBContext context)
                                throws JAXBException

      Throws:
        `JAXBException`

  - ### Method Detail

    - #### getFastinfoSetXMLStreamWriter

          protected static XMLStreamWriter getFastinfoSetXMLStreamWriter​(OutputStream entityStream)

    - #### marshal

          public void marshal​(Object o,
                              Result result)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              OutputStream outputStream)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              File file)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              Writer writer)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              ContentHandler contentHandler)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              Node node)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              XMLStreamWriter xmlStreamWriter)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### marshal

          public void marshal​(Object o,
                              XMLEventWriter xmlEventWriter)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### getNode

          public Node getNode​(Object o)
                       throws JAXBException

      Specified by:
        `getNode` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### setProperty

          public void setProperty​(String s,
                                  Object o)
                           throws PropertyException

      Specified by:
        `setProperty` in interface `Marshaller`
      Throws:
        `PropertyException`

    - #### getProperty

          public Object getProperty​(String s)
                             throws PropertyException

      Specified by:
        `getProperty` in interface `Marshaller`
      Throws:
        `PropertyException`

    - #### setEventHandler

          public void setEventHandler​(ValidationEventHandler validationEventHandler)
                               throws JAXBException

      Specified by:
        `setEventHandler` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### getEventHandler

          public ValidationEventHandler getEventHandler()
                                                 throws JAXBException

      Specified by:
        `getEventHandler` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### setAdapter

          public void setAdapter​(XmlAdapter xmlAdapter)

      Specified by:
        `setAdapter` in interface `Marshaller`

    - #### setAdapter

          public <A extends XmlAdapter> void setAdapter​(Class<A> aClass,
                                                        A a)

      Specified by:
        `setAdapter` in interface `Marshaller`

    - #### getAdapter

          public <A extends XmlAdapter> A getAdapter​(Class<A> aClass)

      Specified by:
        `getAdapter` in interface `Marshaller`

    - #### setAttachmentMarshaller

          public void setAttachmentMarshaller​(AttachmentMarshaller attachmentMarshaller)

      Specified by:
        `setAttachmentMarshaller` in interface `Marshaller`

    - #### getAttachmentMarshaller

          public AttachmentMarshaller getAttachmentMarshaller()

      Specified by:
        `getAttachmentMarshaller` in interface `Marshaller`

    - #### setSchema

          public void setSchema​(Schema schema)

      Specified by:
        `setSchema` in interface `Marshaller`

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `Marshaller`

    - #### setListener

          public void setListener​(Marshaller.Listener listener)

      Specified by:
        `setListener` in interface `Marshaller`

    - #### getListener

          public Marshaller.Listener getListener()

      Specified by:
        `getListener` in interface `Marshaller`